classification
Title: binary and new-style octal literals
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: collinwinter, gvanrossum, twouters
Priority: low Keywords: patch

Created on 2007-03-14 20:55 by twouters, last changed 2007-07-12 07:57 by twouters. This issue is now closed.

Files
File name Uploaded Description Edit
binliterals.diff twouters, 2007-03-14 20:55
Messages (4)
msg52220 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2007-03-14 20:55
Incomplete patch that adds '0t777' and '0b101010' style literals. It lacks a NEWS item, documentation and compiler-package changes (although it may not need any.) 2to3 recipe also not included.
msg52221 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2007-03-14 21:06
The compiler package does indeed not need any changes, as it still uses Python's own tokenizer. And in case there's any doubt, I'm still -1 on this change :) (But unfortunately the easy implementation of it didn't exactly give me new ammo.)
msg52222 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-03-21 22:34
Georg has worked up a 2to3 fixer that implements the 0777 -> 0o777 and assorted other numeric literal fix-ups, called fix_numliterals. 2to3 will support 0b101010 literals just as soon as I type up a commit message.
msg52223 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2007-07-12 07:57
Out of date and fixed already by another patch.
History
Date User Action Args
2007-03-14 20:55:15twouterscreate